Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Michael Welsh Duggan <[email-masked]>
Date: Thu, 01 Apr 2021 14:30:06 -0400

martin rudalics <[email-masked]> writes:

>  > Okay.  I got a nice trigger from this.  I've added some extra
>  > debugging info after the backtrace.
>
> Thanks.  Nice but not amusing.  Things like that never can happen.  So
> presumably *Server* is the buffer you want to get rid off.  I can only
> add another diff based on that assumption.  Please put a breakpoint on
> that non-sensical
>
> 		  best_window = Qt;
>
> line 3050 in window.c.  When it triggers please use "s" to painfully
> step through the entire set_window_buffer and other_buffer_safely below
> and tell me whether you find something fishy: Is other_buffer_safely
> called at all and what is the name of the "buf" it returns?  Does
> set_window_buffer for some reason refuse to wset_buffer to the one
> returned by other_buffer_safely?

The answer, which I sort of suspected, is that it never hit that
breakpoint at all before the assertion fires.

-- 
Michael Welsh Duggan
([email-masked])